### Hierarchy

- RequestExpressionBuilder

## Index

### Methods

- addCondition
- addPartitionKeyCondition
- addSortKeyCondition
- createConditionFunctions
- createUpdateFunctions
- doAddCondition
- propertyDefinitionFunction
- updateDefinitionFunction

## Methods

### Static addCondition

- addCondition<T>(expressionType: ExpressionType, attributePath: string, request: T, metadata?: Metadata<any>): RequestConditionFunction<T>

- - Defined in dynamo/expression/request-expression-builder.ts:32

  Adds a condition to the given query.

  #### Type parameters

  - #### T: BaseRequest<any, any>

  #### Parameters

  - ##### expressionType: ExpressionType

  - ##### attributePath: string

  - ##### request: T

  - ##### Optional metadata: Metadata<any>

  #### Returns RequestConditionFunction<T>

### Static addPartitionKeyCondition

- addPartitionKeyCondition<T>(keyName: string, keyValue: any, request: T, metadata?: Metadata<any>): T

- - Defined in dynamo/expression/request-expression-builder.ts:100

  #### Type parameters

  - #### T: BaseRequest<any, any>

  #### Parameters

  - ##### keyName: string

  - ##### keyValue: any

  - ##### request: T

  - ##### Optional metadata: Metadata<any>

  #### Returns T

### Static addSortKeyCondition

- addSortKeyCondition<T>(keyName: string, request: T, metadata?: Metadata<any>): RequestSortKeyConditionFunction<T>

- - Defined in dynamo/expression/request-expression-builder.ts:54

  #### Type parameters

  - #### T: BaseRequest<any, any>

  #### Parameters

  - ##### keyName: string

  - ##### request: T

  - ##### Optional metadata: Metadata<any>

  #### Returns RequestSortKeyConditionFunction<T>

### Static Private createConditionFunctions

- createConditionFunctions<T>(impl: function, ...operators: ConditionOperator[]): T

- - Defined in dynamo/expression/request-expression-builder.ts:174

  Creates an object which contains callable functions for all aliases defined in CONDITION_OPERATOR_ALIAS or if operators parameter is defined, for all the values included in operators

  #### Type parameters

  - #### T

  #### Parameters

  - ##### impl: function

    The function which is called with the operator and returns a function which expects the value for the condition. when executed the implementation defines what to do with the condition, just return it for example or add the condition to the request parameters as another example

    - - (operator: ConditionOperator): any

      - #### Parameters

        - ##### operator: ConditionOperator

        #### Returns any

  - ##### Rest ...operators: ConditionOperator[]

  #### Returns T

### Static Private createUpdateFunctions

- createUpdateFunctions<T>(impl: function): T

- - Defined in dynamo/expression/request-expression-builder.ts:155

  Creates an object which contains callable functions for all update operations defined in update-operation type for all the values included in operators

  #### Type parameters

  - #### T

  #### Parameters

  - ##### impl: function

    The function which is called with the operator and returns a function which expects the value for the condition. when executed the implementation defines what to do with the condition, just return it for example or add the condition to the request parameters as another example

    - - (operation: UpdateActionDef): any

      - #### Parameters

        - ##### operation: UpdateActionDef

        #### Returns any

  #### Returns T

### Static Private doAddCondition

- doAddCondition<T>(expressionType: ExpressionType, attributePath: string, request: T, metadata: Metadata<any> | undefined, operator: ConditionOperator, ...values: any[]): T

- - Defined in dynamo/expression/request-expression-builder.ts:76

  #### Type parameters

  - #### T: BaseRequest<any, any>

  #### Parameters

  - ##### expressionType: ExpressionType

  - ##### attributePath: string

  - ##### request: T

  - ##### metadata: Metadata<any> | undefined

  - ##### operator: ConditionOperator

  - ##### Rest ...values: any[]

  #### Returns T

### Static propertyDefinitionFunction

- propertyDefinitionFunction<T>(attributePath: keyof T): ConditionExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:133

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns ConditionExpressionDefinitionChain

### Static updateDefinitionFunction

- updateDefinitionFunction(attributePath: string): UpdateExpressionDefinitionChain
- updateDefinitionFunction<T>(attributePath: keyof T): UpdateExpressionDefinitionChain
- updateDefinitionFunction<T, K>(attributePath: K): UpdateExpressionDefinitionChainTyped<T, K>

- - Defined in dynamo/expression/request-expression-builder.ts:109

  #### Parameters

  - ##### attributePath: string

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:110

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns UpdateExpressionDefinitionChain

- - Defined in dynamo/expression/request-expression-builder.ts:111

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns UpdateExpressionDefinitionChainTyped<T, K>

Generated using TypeDoc